org.apache.http.impl.cookie

## Class IgnoreSpecProvider

- java.lang.Object
- - org.apache.http.impl.cookie.IgnoreSpecProvider

All Implemented Interfaces:
  CookieSpecProvider

    @Contract(threading=IMMUTABLE)
    public class IgnoreSpecProvider
    extends Object
    implements CookieSpecProvider

`CookieSpecProvider` implementation that ignores all cookies.

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`IgnoreSpecProvider()`

### Method Summary

Methods
`CookieSpec` `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnoreSpecProvider

    public IgnoreSpecProvider()

### Method Detail

#### create

    public CookieSpec create(org.apache.http.protocol.HttpContext context)

Description copied from interface: `CookieSpecProvider`
Creates an instance of `CookieSpec`.

Specified by:
  `create` in interface `CookieSpecProvider`
Returns:
  auth scheme.